Subject: [Mg-t] TD work: carb

From: Richard Lindsay <[email-masked]>
Date: Mon, 7 Oct 2013 16:08:26 -0500

Hi Friends,

Spent a little time back in the garage today. I decided to start a
part of the job that I really enjoy: rebuilding and tuning SU (and
Weber) carbs. Here's how the TD's rear carb looked, just after
removal.

http://www.aubard.us/MGTD/20131006_162843.jpg

After a bath in ChemDip, light work on the wire brush, and a little
work with a brass cleaning brush, I had a pile of clean parts.

http://www.aubard.us/MGTD/20131007_113619.jpg

And after reassembly (of almost everything), here's a comparison of
before and after.

http://www.aubard.us/MGTD/carbs_v2.jpg

-rick
______________________________________________

[email-masked]
Archive: http://www.team.net/archive